Index: trunk/server/common/oursrc/athrun/Makefile.in
===================================================================
--- trunk/server/common/oursrc/athrun/Makefile.in	(revision 1219)
+++ trunk/server/common/oursrc/athrun/Makefile.in	(revision 1219)
@@ -0,0 +1,14 @@
+prefix = @prefix@
+exec_prefix = @exec_prefix@
+bindir = @bindir@
+
+all-local:
+
+install:
+	install -p -m755 -D athrun.sh $(DESTDIR)$(bindir)/athrun
+
+clean:
+
+distclean: clean
+	rm -f configure config.* Makefile
+	rm -rf auto*.cache
Index: trunk/server/common/oursrc/athrun/athrun.sh
===================================================================
--- trunk/server/common/oursrc/athrun/athrun.sh	(revision 1219)
+++ trunk/server/common/oursrc/athrun/athrun.sh	(revision 1219)
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# An analog of the Athena athrun utility for scripts.mit.edu.
+# The Athena athrun was written by Greg Hudson.
+# This version was kludged by Mitchell Berger.
+# "athrun moira" runs moira from the moira locker.
+# "athrun gnu gls -l" runs gls -l from the gnu locker.
+
+case $# in
+0)
+  echo "Usage: athrun locker [program] [args ...]" >&2
+  exit 1
+  ;;
+1)
+  exec "/mit/$1/bin/$1"
+  ;;
+*)
+  locker=$1
+  program=$2
+  shift 2;
+  exec "/mit/$locker/bin/$program" "$@"
+  ;;
+esac
Index: trunk/server/common/oursrc/athrun/configure.in
===================================================================
--- trunk/server/common/oursrc/athrun/configure.in	(revision 1219)
+++ trunk/server/common/oursrc/athrun/configure.in	(revision 1219)
@@ -0,0 +1,5 @@
+AC_INIT()
+
+AC_PROG_CC
+
+AC_OUTPUT(Makefile)
Index: trunk/server/common/oursrc/athrun/mrproper
===================================================================
--- trunk/server/common/oursrc/athrun/mrproper	(revision 1219)
+++ trunk/server/common/oursrc/athrun/mrproper	(revision 1219)
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+rm -f configure config.* Makefile
+rm -rf auto*.cache
